Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotDirection Class Reference

`#include <GT2005ColorSpace.h>`

List of all members.

## Public Member Functions
| RobotDirection ()
void | AddSample (double direction)
void | AddSample (double direction, int weight)
double | getDirection ()
double | getReliability ()
| RobotDirection ()
void | AddSample (double direction)
void | AddSample (double direction, int weight)
double | getDirection ()
double | getReliability ()
## Public Attributes
double | directionCount [DIRECTION_LEVELS]

## Constructor & Destructor Documentation

RobotDirection::RobotDirection | ( |  | ) |

| Definition at line 73 of file GT2005ColorSpace.cpp. References DIRECTION_LEVELS, and directionCount.

RobotDirection::RobotDirection | ( |  | ) |

## Member Function Documentation

void RobotDirection::AddSample | ( | double | direction | ) | `[inline]`

| Definition at line 57 of file GT2005ColorSpace.h. Referenced by AddSample(), VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

void RobotDirection::AddSample | ( | double | direction,
|  | int | weight
| ) |

| Definition at line 81 of file GT2005ColorSpace.cpp. References DIRECTION_LEVELS, directionCount, and pi2.

double RobotDirection::getDirection | ( |  | ) |

| Definition at line 94 of file GT2005ColorSpace.cpp. References DIRECTION_LEVELS, directionCount, and pi2. Referenced by VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

double RobotDirection::getReliability | ( |  | ) |

| Definition at line 111 of file GT2005ColorSpace.cpp. References DIRECTION_LEVELS, and directionCount. Referenced by VLCRobotSpecialist::generatePercept(), and GT2005RobotSpecialist::generatePercept().

void RobotDirection::AddSample | ( | double | direction | ) | `[inline]`

| Definition at line 57 of file VLCColorSpace.h. References AddSample().

Here is the call graph for this function:

void RobotDirection::AddSample | ( | double | direction,
|  | int | weight
| ) |

double RobotDirection::getDirection | ( |  | ) |

double RobotDirection::getReliability | ( |  | ) |

## Member Data Documentation

double RobotDirection::directionCount

| Definition at line 63 of file VLCColorSpace.h. Referenced by AddSample(), getDirection(), getReliability(), and RobotDirection().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005ColorSpace.h
- Modules/ImageProcessor/VLCImageProcessor/VLCColorSpace.h
- Modules/ImageProcessor/GT2005ImageProcessor/GT2005ColorSpace.cpp
- Modules/ImageProcessor/VLCImageProcessor/VLCColorSpace.cpp